SDL_HasGamepad(3)

NAME
SDL_HasGamepad - Return whether a gamepad is currently connected.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_HasGamepad(void);

RETURN VALUE
Returns true if a gamepad is connected, false otherwise.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetGamepads(3)